### Method

# Ggit Tree get_by_name

#### Declaration [src]

    GgitTreeEntry*
    ggit_tree_get_by_name (
      GgitTree* tree,
      const gchar* name
    )

#### Description [src]

Get a tree entry by name.

#### Parameters

`name`

  Type: `const gchar*`

  A filename.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GgitTreeEntry`

A `GgitTreeEntry` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.